import { Connection } from '@salesforce/core';
import { SaveResult } from 'jsforce';
import { SourceComponent } from '../../resolve';
import { SourceDeployResult } from '../types';
export declare abstract class BaseDeploy {
    private static readonly TOOLING_PATH_SEP;
    connection: Connection;
    component: SourceComponent;
    namespace: string;
    constructor(connection: Connection);
    buildMetadataField(metadataContent: string): {
        label?: string;
        packageVersions?: string;
        status?: string;
        apiVersion: string;
    };
    upsertBundle(Id?: string): Promise<SaveResult>;
    protected toolingCreate(type: string, record: Record<string, unknown>): Promise<SaveResult>;
    protected getFormattedPaths(filepath: string): string[];
    abstract deploy(component: SourceComponent, namespace: string): Promise<SourceDeployResult>;
}
