import { SaveResult } from 'jsforce';
import { ContainerAsyncRequest, RecordId, SourceDeployResult } from '../types';
import { SourceComponent } from '../../resolve';
import { BaseDeploy } from './baseDeploy';
export declare class ContainerDeploy extends BaseDeploy {
    private static readonly CONTAINER_ASYNC_REQUEST;
    private static readonly METADATA_CONTAINER;
    deploy(component: SourceComponent, namespace: string): Promise<SourceDeployResult>;
    createMetadataContainer(): Promise<SaveResult>;
    createContainerMember(outboundFiles: string[], container: SaveResult): Promise<SaveResult>;
    getContentEntity(metadataType: string, fileName: string, namespace: string): Promise<string | undefined>;
    createContainerAsyncRequest(container: SaveResult): Promise<SaveResult>;
    pollContainerStatus(containerId: RecordId): Promise<ContainerAsyncRequest>;
    private buildSourceDeployResult;
}
