import { WriteInfo } from '..';
import { SourceComponent } from '../../resolve';
import { BaseMetadataTransformer } from './baseMetadataTransformer';
export declare class StaticResourceMetadataTransformer extends BaseMetadataTransformer {
    static readonly ARCHIVE_MIME_TYPES: Set<string>;
    private static readonly DEFAULT_CONTENT_TYPE;
    private static readonly FALLBACK_TYPE_MAP;
    toMetadataFormat(component: SourceComponent): Promise<WriteInfo[]>;
    toSourceFormat(component: SourceComponent, mergeWith?: SourceComponent): Promise<WriteInfo[]>;
    /**
     * Only separated into its own method for unit testing purposes
     * I was unable to find a way to stub/spy a pipline() call
     *
     * @param stream the data to be written
     * @param destination the destination path to be written
     * @private
     */
    private pipeline;
    private getBaseContentPath;
    /**
     * "Expanded" refers to a component whose content file is a zip file, and its current
     * state is unzipped.
     */
    private componentIsExpandedArchive;
    private getContentType;
    private getExtensionFromType;
}
