import { SourcePath } from '../../common';
import { SourceComponent } from '../sourceComponent';
import { BaseSourceAdapter } from './baseSourceAdapter';
/**
 * Handles types with a single content file with a matching file extension.
 *
 * __Example Types__:
 *
 * ApexClass, ApexTrigger, ApexComponent
 *
 * __Example Structure__:
 *
 * ```text
 * foos/
 * ├── foobar.ext
 * ├── foobar.ext-meta.xml
 *```
 */
export declare class MatchingContentSourceAdapter extends BaseSourceAdapter {
    protected getRootMetadataXmlPath(trigger: SourcePath): SourcePath;
    protected populate(trigger: SourcePath, component: SourceComponent): SourceComponent;
    private removeMetaXmlSuffix;
    private extensionMatchesType;
}
