/**
 * Normalize an object to be an array if it isn't one.
 *
 * @param entryOrArray - An object that could be an array of it's type or just its type
 * @returns An array of the input element
 */
export declare function normalizeToArray<T>(entryOrArray: T | T[] | undefined): T[];
/**
 * Deeply freezes an object, making the entire thing immutable.
 *
 * @param object - Object to deep freeze
 * @returns A deeply frozen version of the object
 */
export declare function deepFreeze<T>(object: T): Readonly<T>;
