import { SourcePath } from '../common';
export declare function ensureDirectoryExists(filePath: string): void;
export declare function ensureFileExists(filePath: string): void;
/**
 * Method to save multiple files on disk.
 *
 * @param fileMap key = filePath, value = file contents
 */
export declare function createFiles(fileMap: Map<string, string>): void;
/**
 * Traverse up a file path and search for the given file name.
 *
 * @param start File or folder path to start searching from
 * @param fileName File name to search for
 */
export declare function searchUp(start: SourcePath, fileName: string): string | undefined;
